apiVersion: v2
name: astronomy
description: A Helm chart for Kubernetes
type: application

version: 0.1.0

appVersion: "1.16.0"

dependencies:
  #--- helm applications dependencies ---#
  - alias: accountingservice
    name: accountingservice
    version: "0.1.0"
    repository: file://applications/accountingservice
    condition: accountingservice.enabled
  - alias: adservice
    name: adservice
    version: "0.1.0"
    repository: file://applications/adservice
    condition: adservice.enabled
  - alias: cartservice
    name: cartservice
    version: "0.1.0"
    repository: file://applications/cartservice
    condition: cartservice.enabled
  - alias: checkoutservice
    name: checkoutservice
    version: "0.1.0"
    repository: file://applications/checkoutservice
    condition: checkoutservice.enabled
  - alias: currencyservice
    name: currencyservice
    version: "0.1.0"
    repository: file://applications/currencyservice
    condition: currencyservice.enabled
  - alias: emailservice
    name: emailservice
    version: "0.1.0"
    repository: file://applications/emailservice
    condition: emailservice.enabled
  - alias: flagd
    name: flagd
    version: "0.1.0"
    repository: file://applications/flagd
    condition: flagd.enabled
  - alias: frauddetectionservice
    name: frauddetectionservice
    version: "0.1.0"
    repository: file://applications/frauddetectionservice
    condition: frauddetectionservice.enabled
  - alias: frontend
    name: frontend
    version: "0.1.0"
    repository: file://applications/frontend
    condition: frontend.enabled
  - alias: frontendproxy
    name: frontendproxy
    version: "0.1.0"
    repository: file://applications/frontendproxy
    condition: frontendproxy.enabled
  - alias: imageprovider
    name: imageprovider
    version: "0.1.0"
    repository: file://applications/imageprovider
    condition: imageprovider.enabled
  - alias: kafka
    name: kafka
    version: "0.1.0"
    repository: file://applications/kafka
    condition: kafka.enabled
  - alias: loadgenerator
    name: loadgenerator
    version: "0.1.0"
    repository: file://applications/loadgenerator
    condition: loadgenerator.enabled
  - alias: otelcollector
    name: otelcollector
    version: "0.1.0"
    repository: file://applications/otelcollector
    condition: otelcollector.enabled
  - alias: paymentservice
    name: paymentservice
    version: "0.1.0"
    repository: file://applications/paymentservice
    condition: paymentservice.enabled
  - alias: productcatalogservice
    name: productcatalogservice
    version: "0.1.0"
    repository: file://applications/productcatalogservice
    condition: productcatalogservice.enabled
  - alias: quoteservice
    name: quoteservice
    version: "0.1.0"
    repository: file://applications/quoteservice
    condition: quoteservice.enabled
  - alias: recommendationservice
    name: recommendationservice
    version: "0.1.0"
    repository: file://applications/recommendationservice
    condition: recommendationservice.enabled
  - alias: shippingservice
    name: shippingservice
    version: "0.1.0"
    repository: file://applications/shippingservice
    condition: shippingservice.enabled
  #--- End of helm applications dependencies ---#